import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { DevopsMsApp } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-01 15:23
 */
interface DevopsMsAppCU extends ConditionUtil<DevopsMsAppCU> {
    ID: FieldUtil<DevopsMsAppCU>;
    APP_NAME: FieldUtil<DevopsMsAppCU>;
    MS_PROJECT_NAME: FieldUtil<DevopsMsAppCU>;
    MS_PROJECT_ID: FieldUtil<DevopsMsAppCU>;
    MS_PROJECT_VERSION: FieldUtil<DevopsMsAppCU>;
}
declare class DevopsMsAppMU extends TableUtilImpl<DevopsMsAppCU, DevopsMsApp> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): DevopsMsAppCU;
    static get ID(): FieldUtil<DevopsMsAppCU>;
    static get APP_NAME(): FieldUtil<DevopsMsAppCU>;
    static get MS_PROJECT_NAME(): FieldUtil<DevopsMsAppCU>;
    static get MS_PROJECT_ID(): FieldUtil<DevopsMsAppCU>;
    static get MS_PROJECT_VERSION(): FieldUtil<DevopsMsAppCU>;
    get ID(): FieldUtil<DevopsMsAppCU>;
    get APP_NAME(): FieldUtil<DevopsMsAppCU>;
    get MS_PROJECT_NAME(): FieldUtil<DevopsMsAppCU>;
    get MS_PROJECT_ID(): FieldUtil<DevopsMsAppCU>;
    get MS_PROJECT_VERSION(): FieldUtil<DevopsMsAppCU>;
}
export { DevopsMsAppMU, DevopsMsAppCU };
